.cookie-banner {
  position: fixed;
  z-index: 9990;

  bottom: 0;
  left: 0;

  width: 100%;
  background-color: #FFFFFF;
  box-shadow: 0px -2px 10px rgba(0, 0, 0, 0.1);

  opacity: 0;
  pointer-events: none;
  transform: translateY(calc(100% + 24px));
  transition: transform 350ms ease-in-out, opacity 250ms ease-in-out, visibility 350ms ease-in-out;
  visibility: hidden;
}

.cookie-banner.show {
  opacity: 1;
  pointer-events: auto;
  transform: translateY(0%);
  visibility: visible;
}

.cookie-banner .container {
  max-width: 1280px;
  width: 100%;
  margin: auto;
}

.cookie-banner__wrap {
  padding: 25px;
  padding-bottom: calc(25px + env(safe-area-inset-bottom));
}

.cookie-banner__content {
  display: flex;
  align-items: center;
  flex-direction: column;
  text-align: center;
}
.cookie-banner__content-title {
  max-width: 670px;
  width: 100%;
}

.cookie-banner__content-title p {
  margin-top: 0px;
  margin-bottom: 15px;

  color: #171B38;
  font-family: "montserrat", sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 150%;
}

.cookie-banner__content-btn {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.cookie-banner__content-btn button {
  padding: 10px 25px;
  max-width: 100%;
  width: 100%;
  transition: all 0.6s ease;
}

.cookie-banner__content-btn button.button--primary {
  font-family: "montserrat", sans-serif;
  font-size: 16px;
  line-height: 100%;
  background-color: #E4B750;
  color: #FFFFFF;
  border: 2px solid #E4B750;
}

.cookie-banner__content-btn button.button--primary:hover {
  background-color: transparent;
  color: #E4B750;
  border: 2px solid #E4B750;
}

.cookie-banner__content-btn button.button--transparent {
  font-weight: 500;
  font-family: "montserrat", sans-serif;
  color: #171B38;
}

.cookie-banner__content-btn button.button--transparent:hover {
  color: #fff;
}

.cookie-banner__content-btn button:not(:last-child) {
  margin-right: 0px;
  margin-bottom: 15px;
}

@media (min-width: 641px) {
  .cookie-banner__content {
    justify-content: center;
    flex-direction: column;
    text-align: center;
  }

  .cookie-banner__content-btn button {
    width: initial;
  }

  .cookie-banner__content-btn button:not(:last-child) {
    margin-right: 15px;
    margin-bottom: 0px;
  }
}

@media (min-width: 1025px) {
  .cookie-banner__content {
    text-align: left;
    justify-content: space-between;
    flex-direction: initial;
  }

  .cookie-banner__content-title {
    width: 65%;
  }

  .cookie-banner__content-title p {
    margin-bottom: 0px;
  }
}
